Subject: bug#11604: USE_LISP_UNION_TYPE + USE_LSB_TAG cleanup.

From: Andreas Schwab <[email-masked]>
Date: Sun, 03 Jun 2012 09:26:46 +0200

Paul Eggert <[email-masked]> writes:

> Because the union type is for debugging, not for production.
> It's used mostly to make sure that (for example) one doesn't
> mistakenly write "x = y" when one meant to write "x = XINT (y)".

That doesn't make sense.  You don't need a bitfield for that, just a
struct around EMACS_INT.  If we want to go that route we should rip out
the union Lisp_Object completely.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."